Subject: Re: [PATCH 0/4] De-couple sysfs memory directories from memory sections

From: Greg KH <[email-masked]>
Date: Thu, 20 Jan 2011 08:45:55 -0800

On Thu, Jan 20, 2011 at 10:36:40AM -0600, Nathan Fontenot wrote:
> The root of this issue is in sysfs directory creation. Every time
> a directory is created a string compare is done against sibling
> directories ( see sysfs_find_dirent() ) to ensure we do not create 
> duplicates.  The list of directory nodes in sysfs is kept as an
> unsorted list which results in this being an exponentially longer
> operation as the number of directories are created.

Again, are you sure about this?  I thought we resolved this issue in the
past, but you were going to check it.  Did you?

thanks,

greg k-h